Package org.firebirdsql.gds.ng.wire

## Interface XdrStreamAccess

    public interface XdrStreamAccess

Provides access to the `XdrInputStream` and `XdrOutputStream`.

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods
`XdrInputStream` `getXdrIn()` Gets the XdrInputStream.
`XdrOutputStream` `getXdrOut()` Gets the XdrOutputStream.

### Method Detail

#### getXdrIn

    XdrInputStream getXdrIn()
                     throws java.sql.SQLException

Gets the XdrInputStream.

Returns:
  Instance of XdrInputStream
Throws:
  `java.sql.SQLException` - If no connection is opened or when exceptions occur retrieving the InputStream

#### getXdrOut

    XdrOutputStream getXdrOut()
                       throws java.sql.SQLException

Gets the XdrOutputStream.

Returns:
  Instance of XdrOutputStream
Throws:
  `java.sql.SQLException` - If no connection is opened or when exceptions occur retrieving the OutputStream